Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Protected Member Functions | List of all members
OMPropertyVisualizerBoolean< MeshT > Class Template Reference
Inheritance diagram for OMPropertyVisualizerBoolean< MeshT >:

## Public Member Functions
| OMPropertyVisualizerBoolean (MeshT *_mesh, PropertyInfo _propertyInfo)
Public Member Functions inherited from OMPropertyVisualizer< MeshT >
| OMPropertyVisualizer (MeshT *_mesh, PropertyInfo _propertyInfo)
virtual void | visualize (bool _setDrawMode, QWidget *_widget)
| Visualizes the property. More...
virtual void | clear ()
| Clears the property. More...
unsigned int | getClosestPrimitiveId (unsigned int _face, ACG::Vec3d &_hitPoint)
| Returns the ID of the closest primitive. More...
Public Member Functions inherited from PropertyVisualizer
| PropertyVisualizer (PropertyInfo _propertyInfo)
| Constructor. More...
virtual | ~PropertyVisualizer ()
| Destructor.
virtual QString | getName ()
| Returns a beautiful name. More...
virtual QWidget * | getWidget ()
| Returns the visualizer's widget. More...
const PropertyInfo & | getPropertyInfo () const
| Returns the PropertyInfo.

## Protected Member Functions
virtual void | visualizeFaceProp (bool _setDrawMode=true)
virtual void | visualizeEdgeProp (bool _setDrawMode=true)
virtual void | visualizeHalfedgeProp (bool _setDrawMode=true)
virtual void | visualizeVertexProp (bool _setDrawMode=true)
virtual void | removeProperty ()
| Removes the property. More...
virtual void | duplicateProperty ()
| Duplicates the property. More...
virtual QString | getPropertyText (unsigned int index)
| Returns the value of a property in text form. More...
virtual void | setFacePropertyFromText (unsigned int index, QString text)
virtual void | setEdgePropertyFromText (unsigned int index, QString text)
virtual void | setHalfedgePropertyFromText (unsigned int index, QString text)
virtual void | setVertexPropertyFromText (unsigned int index, QString text)
Protected Member Functions inherited from OMPropertyVisualizer< MeshT >
template<typename PropType >
void | removeProperty_stage1 ()
template<typename PropType >
void | removeProperty_stage2 ()
template<typename PropType >
void | duplicateProperty_stage1 ()
template<typename PropHandle , typename Iterator >
void | duplicateProperty_stage2 (Iterator first, Iterator last)
virtual void | clearFaceProp ()
virtual void | clearEdgeProp ()
virtual void | clearHalfedgeProp ()
virtual void | clearVertexProp ()
OpenMesh::Vec4f | convertColor (QColor color)
virtual void | setPropertyFromText (unsigned int index, QString text)
| Returns the value of a property in text form. More...
virtual int | getEntityCount ()
| Returns the number of entities.
virtual QString | getHeader ()
| Returns the header for saving.
unsigned int | getClosestFaceId (unsigned int _face, ACG::Vec3d &_hitPoint)
unsigned int | getClosestEdgeId (unsigned int _face, ACG::Vec3d &_hitPoint)
unsigned int | getClosestHalfedgeId (unsigned int _face, ACG::Vec3d &_hitPoint)
unsigned int | getClosestVertexId (unsigned int _face, ACG::Vec3d &_hitPoint)
template<typename InnerType >
QString | getPropertyText_ (unsigned int index)

## Additional Inherited Members
Signals inherited from PropertyVisualizer
void | log (Logtype _type, QString _message)
void | log (QString _message)
Static Public Member Functions inherited from PropertyVisualizer
static QString | toStr (bool b)
static QString | toStr (double d)
static QString | toStr (int i)
static QString | toStr (uint8_t i)
static QString | toStr (unsigned int i)
static QString | toStr (OpenMesh::Vec3d v)
static QString | toStr (OpenMesh::Vec2d v)
static QString | toStr (OpenMesh::Vec2f v)
static bool | strToBool (QString str)
static double | strToDouble (QString str)
static int | strToInt (QString str)
static unsigned int | strToUInt (QString str)
static OpenMesh::Vec3d | strToVec3d (QString str)
static OpenMesh::Vec2d | strToVec2d (QString str)
static OpenMesh::Vec2f | strToVec2f (QString str)
Public Attributes inherited from PropertyVisualizer
QWidget * | widget
Protected Attributes inherited from OMPropertyVisualizer< MeshT >
MeshT * | mesh
Protected Attributes inherited from PropertyVisualizer
PropertyInfo | propertyInfo

## Detailed Description

### template<typename MeshT>
class OMPropertyVisualizerBoolean< MeshT >

Definition at line 60 of file OMPropertyVisualizerBoolean.hh.

## Member Function Documentation

template<typename MeshT >

void OMPropertyVisualizerBoolean< MeshT >::duplicateProperty | ( |  | ) |
| protected virtual

Duplicates the property.

This will duplicate the property.

Reimplemented from OMPropertyVisualizer< MeshT >.

Definition at line 252 of file OMPropertyVisualizerBooleanT.cc.

template<typename MeshT >

QString OMPropertyVisualizerBoolean< MeshT >::getPropertyText | ( | unsigned int | i | ) |
| protected virtual

Returns the value of a property in text form.

Parameters

  i | The id of the entity whose property we want to know.

Returns
  The property value in text form.

Reimplemented from OMPropertyVisualizer< MeshT >.

Definition at line 65 of file OMPropertyVisualizerBooleanT.cc.

template<typename MeshT >

void OMPropertyVisualizerBoolean< MeshT >::removeProperty | ( |  | ) |
| protected virtual

Removes the property.

This will remove the property from the mesh. After this method the PropertyVisualizer should be deleted.

Reimplemented from OMPropertyVisualizer< MeshT >.

Definition at line 246 of file OMPropertyVisualizerBooleanT.cc.

The documentation for this class was generated from the following files:

- Plugin-PropertyVis/OpenMesh/OMPropertyVisualizerBoolean.hh
- Plugin-PropertyVis/OpenMesh/OMPropertyVisualizerBooleanT.cc